Class | Bio::KEGG::REACTION
In: | lib/bio/db/kegg/reaction.rb
Parent: | KEGGDB

### Methods

definition entry_id enzymes equation name new pathways rpairs

### Constants

DELIMITER | = | RS = "\n///\n"
TAGSIZE | = | 12

### Public Class methods

new(entry)

[Source]

        # File lib/bio/db/kegg/reaction.rb, line 20
    20:   def initialize(entry)
    21:     super(entry, TAGSIZE)
    22:   end

### Public Instance methods

definition()

DEFINITION

[Source]

        # File lib/bio/db/kegg/reaction.rb, line 35
    35:   def definition
    36:     field_fetch('DEFINITION')
    37:   end

entry_id()

ENTRY

[Source]

        # File lib/bio/db/kegg/reaction.rb, line 25
    25:   def entry_id
    26:     field_fetch('ENTRY')[/\S+/]
    27:   end

enzymes()

ENZYME

[Source]

        # File lib/bio/db/kegg/reaction.rb, line 58
    58:   def enzymes
    59:     unless @data['ENZYME']
    60:       @data['ENZYME'] = fetch('ENZYME').scan(/\S+/)
    61:     end
    62:     @data['ENZYME']
    63:   end

equation()

EQUATION

[Source]

        # File lib/bio/db/kegg/reaction.rb, line 40
    40:   def equation
    41:     field_fetch('EQUATION')
    42:   end

name()

NAME

[Source]

        # File lib/bio/db/kegg/reaction.rb, line 30
    30:   def name
    31:     field_fetch('NAME')
    32:   end

pathways()

PATHWAY

[Source]

        # File lib/bio/db/kegg/reaction.rb, line 53
    53:   def pathways
    54:     lines_fetch('PATHWAY')
    55:   end

rpairs()

RPAIR

[Source]

        # File lib/bio/db/kegg/reaction.rb, line 45
    45:   def rpairs
    46:     unless @data['RPAIR']
    47:       @data['RPAIR'] = fetch('RPAIR').split(/\s+/)
    48:     end
    49:     @data['RPAIR']
    50:   end

[Validate]